﻿using Microsoft.EntityFrameworkCore;
using Module.Configuration.Domain.Models;

namespace Module.Configuration.Infrastructure.Data.Extensions
{
    public static class LanguageSeedingExtension
    {
        public static void SeedLanguageData(this ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<LanguageCode>().HasData(
                new LanguageCode { Id = "af", Name = "Afrikaans" },
                new LanguageCode { Id = "af-ZA", Name = "Afrikaans (South Africa)" },
                new LanguageCode { Id = "ar", Name = "Arabic" },
                new LanguageCode { Id = "ar-AE", Name = "Arabic (U.A.E.)" },
                new LanguageCode { Id = "ar-BH", Name = "Arabic (Bahrain)" },
                new LanguageCode { Id = "ar-DZ", Name = "Arabic (Algeria)" },
                new LanguageCode { Id = "ar-EG", Name = "Arabic (Egypt)" },
                new LanguageCode { Id = "ar-IQ", Name = "Arabic (Iraq)" },
                new LanguageCode { Id = "ar-JO", Name = "Arabic (Jordan)" },
                new LanguageCode { Id = "ar-KW", Name = "Arabic (Kuwait)" },
                new LanguageCode { Id = "ar-LB", Name = "Arabic (Lebanon)" },
                new LanguageCode { Id = "ar-LY", Name = "Arabic (Libya)" },
                new LanguageCode { Id = "ar-MA", Name = "Arabic (Morocco)" },
                new LanguageCode { Id = "ar-OM", Name = "Arabic (Oman)" },
                new LanguageCode { Id = "ar-QA", Name = "Arabic (Qatar)" },
                new LanguageCode { Id = "ar-SA", Name = "Arabic (Saudi Arabia)" },
                new LanguageCode { Id = "ar-SY", Name = "Arabic (Syria)" },
                new LanguageCode { Id = "ar-TN", Name = "Arabic (Tunisia)" },
                new LanguageCode { Id = "ar-YE", Name = "Arabic (Yemen)" },
                new LanguageCode { Id = "az", Name = "Azeri (Latin)" },
                new LanguageCode { Id = "be", Name = "Belarusian" },
                new LanguageCode { Id = "be-BY", Name = "Belarusian (Belarus)" },
                new LanguageCode { Id = "bg", Name = "Bulgarian" },
                new LanguageCode { Id = "bg-BG", Name = "Bulgarian (Bulgaria)" },
                new LanguageCode { Id = "bs-BA", Name = "Bosnian (Bosnia and Herzegovina)" },
                new LanguageCode { Id = "ca", Name = "Catalan" },
                new LanguageCode { Id = "ca-ES", Name = "Catalan (Spain)" },
                new LanguageCode { Id = "cs", Name = "Czech" },
                new LanguageCode { Id = "cs-CZ", Name = "Czech (Czech Republic)" },
                new LanguageCode { Id = "cy", Name = "Welsh" },
                new LanguageCode { Id = "cy-GB", Name = "Welsh (United Kingdom)" },
                new LanguageCode { Id = "da", Name = "Danish" },
                new LanguageCode { Id = "da-DK", Name = "Danish (Denmark)" },
                new LanguageCode { Id = "de", Name = "German" },
                new LanguageCode { Id = "de-AT", Name = "German (Austria)" },
                new LanguageCode { Id = "de-CH", Name = "German (Switzerland)" },
                new LanguageCode { Id = "de-DE", Name = "German (Germany)" },
                new LanguageCode { Id = "de-LI", Name = "German (Liechtenstein)" },
                new LanguageCode { Id = "de-LU", Name = "German (Luxembourg)" },
                new LanguageCode { Id = "dv", Name = "Divehi" },
                new LanguageCode { Id = "dv-MV", Name = "Divehi (Maldives)" },
                new LanguageCode { Id = "el", Name = "Greek" },
                new LanguageCode { Id = "el-GR", Name = "Greek (Greece)" },
                new LanguageCode { Id = "en", Name = "English" },
                new LanguageCode { Id = "en-AU", Name = "English (Australia)" },
                new LanguageCode { Id = "en-BZ", Name = "English (Belize)" },
                new LanguageCode { Id = "en-CA", Name = "English (Canada)" },
                new LanguageCode { Id = "en-CB", Name = "English (Caribbean)" },
                new LanguageCode { Id = "en-GB", Name = "English (United Kingdom)" },
                new LanguageCode { Id = "en-IE", Name = "English (Ireland)" },
                new LanguageCode { Id = "en-JM", Name = "English (Jamaica)" },
                new LanguageCode { Id = "en-NZ", Name = "English (New Zealand)" },
                new LanguageCode { Id = "en-PH", Name = "English (Republic of the Philippines)" },
                new LanguageCode { Id = "en-TT", Name = "English (Trinidad and Tobago)" },
                new LanguageCode { Id = "en-US", Name = "English (United States)" },
                new LanguageCode { Id = "en-ZA", Name = "English (South Africa)" },
                new LanguageCode { Id = "en-ZW", Name = "English (Zimbabwe)" },
                new LanguageCode { Id = "eo", Name = "Esperanto" },
                new LanguageCode { Id = "es", Name = "Spanish" },
                new LanguageCode { Id = "es-AR", Name = "Spanish (Argentina)" },
                new LanguageCode { Id = "es-BO", Name = "Spanish (Bolivia)" },
                new LanguageCode { Id = "es-CL", Name = "Spanish (Chile)" },
                new LanguageCode { Id = "es-CO", Name = "Spanish (Colombia)" },
                new LanguageCode { Id = "es-CR", Name = "Spanish (Costa Rica)" },
                new LanguageCode { Id = "es-DO", Name = "Spanish (Dominican Republic)" },
                new LanguageCode { Id = "es-EC", Name = "Spanish (Ecuador)" },
                new LanguageCode { Id = "es-ES", Name = "Spanish (Castilian)" },
                new LanguageCode { Id = "es-GT", Name = "Spanish (Guatemala)" },
                new LanguageCode { Id = "es-HN", Name = "Spanish (Honduras)" },
                new LanguageCode { Id = "es-MX", Name = "Spanish (Mexico)" },
                new LanguageCode { Id = "es-NI", Name = "Spanish (Nicaragua)" },
                new LanguageCode { Id = "es-PA", Name = "Spanish (Panama)" },
                new LanguageCode { Id = "es-PE", Name = "Spanish (Peru)" },
                new LanguageCode { Id = "es-PR", Name = "Spanish (Puerto Rico)" },
                new LanguageCode { Id = "es-PY", Name = "Spanish (Paraguay)" },
                new LanguageCode { Id = "es-SV", Name = "Spanish (El Salvador)" },
                new LanguageCode { Id = "es-UY", Name = "Spanish (Uruguay)" },
                new LanguageCode { Id = "es-VE", Name = "Spanish (Venezuela)" },
                new LanguageCode { Id = "et", Name = "Estonian" },
                new LanguageCode { Id = "et-EE", Name = "Estonian (Estonia)" },
                new LanguageCode { Id = "eu", Name = "Basque" },
                new LanguageCode { Id = "eu-ES", Name = "Basque (Spain)" },
                new LanguageCode { Id = "fa", Name = "Farsi" },
                new LanguageCode { Id = "fa-IR", Name = "Farsi (Iran)" },
                new LanguageCode { Id = "fi", Name = "Finnish" },
                new LanguageCode { Id = "fi-FI", Name = "Finnish (Finland)" },
                new LanguageCode { Id = "fo", Name = "Faroese" },
                new LanguageCode { Id = "fo-FO", Name = "Faroese (Faroe Islands)" },
                new LanguageCode { Id = "fr", Name = "French" },
                new LanguageCode { Id = "fr-BE", Name = "French (Belgium)" },
                new LanguageCode { Id = "fr-CA", Name = "French (Canada)" },
                new LanguageCode { Id = "fr-CH", Name = "French (Switzerland)" },
                new LanguageCode { Id = "fr-FR", Name = "French (France)" },
                new LanguageCode { Id = "fr-LU", Name = "French (Luxembourg)" },
                new LanguageCode { Id = "fr-MC", Name = "French (Principality of Monaco)" },
                new LanguageCode { Id = "gl", Name = "Galician" },
                new LanguageCode { Id = "gl-ES", Name = "Galician (Spain)" },
                new LanguageCode { Id = "gu", Name = "Gujarati" },
                new LanguageCode { Id = "gu-IN", Name = "Gujarati (India)" },
                new LanguageCode { Id = "he", Name = "Hebrew" },
                new LanguageCode { Id = "he-IL", Name = "Hebrew (Israel)" },
                new LanguageCode { Id = "hi", Name = "Hindi" },
                new LanguageCode { Id = "hi-IN", Name = "Hindi (India)" },
                new LanguageCode { Id = "hr", Name = "Croatian" },
                new LanguageCode { Id = "hr-BA", Name = "Croatian (Bosnia and Herzegovina)" },
                new LanguageCode { Id = "hr-HR", Name = "Croatian (Croatia)" },
                new LanguageCode { Id = "hu", Name = "Hungarian" },
                new LanguageCode { Id = "hu-HU", Name = "Hungarian (Hungary)" },
                new LanguageCode { Id = "hy", Name = "Armenian" },
                new LanguageCode { Id = "hy-AM", Name = "Armenian (Armenia)" },
                new LanguageCode { Id = "id", Name = "Indonesian" },
                new LanguageCode { Id = "id-ID", Name = "Indonesian (Indonesia)" },
                new LanguageCode { Id = "is", Name = "Icelandic" },
                new LanguageCode { Id = "is-IS", Name = "Icelandic (Iceland)" },
                new LanguageCode { Id = "it", Name = "Italian" },
                new LanguageCode { Id = "it-CH", Name = "Italian (Switzerland)" },
                new LanguageCode { Id = "it-IT", Name = "Italian (Italy)" },
                new LanguageCode { Id = "ja", Name = "Japanese" },
                new LanguageCode { Id = "ja-JP", Name = "Japanese (Japan)" },
                new LanguageCode { Id = "ka", Name = "Georgian" },
                new LanguageCode { Id = "ka-GE", Name = "Georgian (Georgia)" },
                new LanguageCode { Id = "kk", Name = "Kazakh" },
                new LanguageCode { Id = "kk-KZ", Name = "Kazakh (Kazakhstan)" },
                new LanguageCode { Id = "kn", Name = "Kannada" },
                new LanguageCode { Id = "kn-IN", Name = "Kannada (India)" },
                new LanguageCode { Id = "ko", Name = "Korean" },
                new LanguageCode { Id = "ko-KR", Name = "Korean (Korea)" },
                new LanguageCode { Id = "kok", Name = "Konkani" },
                new LanguageCode { Id = "kok-IN", Name = "Konkani (India)" },
                new LanguageCode { Id = "ky", Name = "Kyrgyz" },
                new LanguageCode { Id = "ky-KG", Name = "Kyrgyz (Kyrgyzstan)" },
                new LanguageCode { Id = "lt", Name = "Lithuanian" },
                new LanguageCode { Id = "lt-LT", Name = "Lithuanian (Lithuania)" },
                new LanguageCode { Id = "lv", Name = "Latvian" },
                new LanguageCode { Id = "lv-LV", Name = "Latvian (Latvia)" },
                new LanguageCode { Id = "mi", Name = "Maori" },
                new LanguageCode { Id = "mi-NZ", Name = "Maori (New Zealand)" },
                new LanguageCode { Id = "mk", Name = "FYRO Macedonian" },
                new LanguageCode { Id = "mk-MK", Name = "FYRO Macedonian (Former Yugoslav Republic of Macedonia)" },
                new LanguageCode { Id = "mn", Name = "Mongolian" },
                new LanguageCode { Id = "mn-MN", Name = "Mongolian (Mongolia)" },
                new LanguageCode { Id = "mr", Name = "Marathi" },
                new LanguageCode { Id = "mr-IN", Name = "Marathi (India)" },
                new LanguageCode { Id = "ms", Name = "Malay" },
                new LanguageCode { Id = "ms-BN", Name = "Malay (Brunei Darussalam)" },
                new LanguageCode { Id = "ms-MY", Name = "Malay (Malaysia)" },
                new LanguageCode { Id = "mt", Name = "Maltese" },
                new LanguageCode { Id = "mt-MT", Name = "Maltese (Malta)" },
                new LanguageCode { Id = "nb", Name = "Norwegian" },
                new LanguageCode { Id = "nb-NO", Name = "Norwegian (Norway)" },
                new LanguageCode { Id = "nl", Name = "Dutch" },
                new LanguageCode { Id = "nl-BE", Name = "Dutch (Belgium)" },
                new LanguageCode { Id = "nl-NL", Name = "Dutch (Netherlands)" },
                new LanguageCode { Id = "nn-NO", Name = "Norwegian (Nynorsk) (Norway)" },
                new LanguageCode { Id = "ns", Name = "Northern Sotho" },
                new LanguageCode { Id = "ns-ZA", Name = "Northern Sotho (South Africa)" },
                new LanguageCode { Id = "pa", Name = "Punjabi" },
                new LanguageCode { Id = "pa-IN", Name = "Punjabi (India)" },
                new LanguageCode { Id = "pl", Name = "Polish" },
                new LanguageCode { Id = "pl-PL", Name = "Polish (Poland)" },
                new LanguageCode { Id = "ps", Name = "Pashto" },
                new LanguageCode { Id = "ps-AR", Name = "Pashto (Afghanistan)" },
                new LanguageCode { Id = "pt", Name = "Portuguese" },
                new LanguageCode { Id = "pt-BR", Name = "Portuguese (Brazil)" },
                new LanguageCode { Id = "pt-PT", Name = "Portuguese (Portugal)" },
                new LanguageCode { Id = "qu", Name = "Quechua" },
                new LanguageCode { Id = "qu-BO", Name = "Quechua (Bolivia)" },
                new LanguageCode { Id = "qu-EC", Name = "Quechua (Ecuador)" },
                new LanguageCode { Id = "qu-PE", Name = "Quechua (Peru)" },
                new LanguageCode { Id = "ro", Name = "Romanian" },
                new LanguageCode { Id = "ro-RO", Name = "Romanian (Romania)" },
                new LanguageCode { Id = "ru", Name = "Russian" },
                new LanguageCode { Id = "ru-RU", Name = "Russian (Russia)" },
                new LanguageCode { Id = "sa", Name = "Sanskrit" },
                new LanguageCode { Id = "sa-IN", Name = "Sanskrit (India)" },
                new LanguageCode { Id = "se", Name = "Sami (Northern)" },
                new LanguageCode { Id = "sk", Name = "Slovak" },
                new LanguageCode { Id = "sk-SK", Name = "Slovak (Slovakia)" },
                new LanguageCode { Id = "sl", Name = "Slovenian" },
                new LanguageCode { Id = "sl-SI", Name = "Slovenian (Slovenia)" },
                new LanguageCode { Id = "sq", Name = "Albanian" },
                new LanguageCode { Id = "sq-AL", Name = "Albanian (Albania)" },
                new LanguageCode { Id = "sr", Name = "Serbian" },
                new LanguageCode { Id = "sv", Name = "Swedish" },
                new LanguageCode { Id = "sv-FI", Name = "Swedish (Finland)" },
                new LanguageCode { Id = "sv-SE", Name = "Swedish (Sweden)" },
                new LanguageCode { Id = "sw", Name = "Swahili" },
                new LanguageCode { Id = "sw-KE", Name = "Swahili (Kenya)" },
                new LanguageCode { Id = "syr", Name = "Syriac" },
                new LanguageCode { Id = "syr-SY", Name = "Syriac (Syria)" },
                new LanguageCode { Id = "ta", Name = "Tamil" },
                new LanguageCode { Id = "ta-IN", Name = "Tamil (India)" },
                new LanguageCode { Id = "te", Name = "Telugu" },
                new LanguageCode { Id = "te-IN", Name = "Telugu (India)" },
                new LanguageCode { Id = "th", Name = "Thai" },
                new LanguageCode { Id = "th-TH", Name = "Thai (Thailand)" },
                new LanguageCode { Id = "tl", Name = "Tagalog" },
                new LanguageCode { Id = "tl-PH", Name = "Tagalog (Philippines)" },
                new LanguageCode { Id = "tn", Name = "Tswana" },
                new LanguageCode { Id = "tn-ZA", Name = "Tswana (South Africa)" },
                new LanguageCode { Id = "tr", Name = "Turkish" },
                new LanguageCode { Id = "tr-TR", Name = "Turkish (Turkey)" },
                new LanguageCode { Id = "tt", Name = "Tatar" },
                new LanguageCode { Id = "tt-RU", Name = "Tatar (Russia)" },
                new LanguageCode { Id = "ts", Name = "Tsonga" },
                new LanguageCode { Id = "uk", Name = "Ukrainian" },
                new LanguageCode { Id = "uk-UA", Name = "Ukrainian (Ukraine)" },
                new LanguageCode { Id = "ur", Name = "Urdu" },
                new LanguageCode { Id = "ur-PK", Name = "Urdu (Islamic Republic of Pakistan)" },
                new LanguageCode { Id = "uz", Name = "Uzbek (Latin)" },
                new LanguageCode { Id = "vi", Name = "Vietnamese" },
                new LanguageCode { Id = "vi-VN", Name = "Vietnamese (Viet Nam)" },
                new LanguageCode { Id = "xh", Name = "Xhosa" },
                new LanguageCode { Id = "xh-ZA", Name = "Xhosa (South Africa)" },
                new LanguageCode { Id = "zh", Name = "Chinese" },
                new LanguageCode { Id = "zh-CN", Name = "Chinese (S)" },
                new LanguageCode { Id = "zh-HK", Name = "Chinese (Hong Kong)" },
                new LanguageCode { Id = "zh-MO", Name = "Chinese (Macau)" },
                new LanguageCode { Id = "zh-SG", Name = "Chinese (Singapore)" },
                new LanguageCode { Id = "zh-TW", Name = "Chinese (T)" },
                new LanguageCode { Id = "zu", Name = "Zulu" },
                new LanguageCode { Id = "zu-ZA", Name = "Zulu (South Africa)" }
            );
        }
    }
}
